Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Notification_Strategy Class Reference

Abstract class used for notifing an interested party. More...

`#include <Strategies.h>`

Inheritance diagram for ACE_Notification_Strategy

[legend]
Collaboration diagram for ACE_Notification_Strategy:

[legend]
List of all members.

## Public Methods
| ACE_Notification_Strategy (ACE_Event_Handler *eh, ACE_Reactor_Mask mask)
virtual | ~ACE_Notification_Strategy (void)
virtual int | notify (void) = 0
virtual int | notify (ACE_Event_Handler *, ACE_Reactor_Mask mask) = 0
ACE_Event_Handler* | event_handler (void)
void | event_handler (ACE_Event_Handler *eh)
ACE_Reactor_Mask | mask (void)
void | mask (ACE_Reactor_Mask m)
## Protected Attributes
ACE_Event_Handler* | eh_
ACE_Reactor_Mask | mask_

## Detailed Description

Abstract class used for notifing an interested party.

A vehicle for extending the behavior of ACE_Message_Queue wrt notification *without subclassing*. Thus, it's an example of the Bridge/Strategy patterns.

## Constructor & Destructor Documentation

const char *get_rcsid_ace _ ACE_Notification_Strategy::ACE_Notification_Strategy ( | ACE_Event_Handler * eh,
| ACE_Reactor_Mask mask )`[inline]`

ACE_Notification_Strategy::~ACE_Notification_Strategy ( | void )`[virtual]`

## Member Function Documentation

void ACE_Notification_Strategy::event_handler ( | ACE_Event_Handler * eh )

ACE_Event_Handler * ACE_Notification_Strategy::event_handler ( | void )

void ACE_Notification_Strategy::mask ( | ACE_Reactor_Mask m )

ACE_Reactor_Mask ACE_Notification_Strategy::mask ( | void )

virtual int ACE_Notification_Strategy::notify ( | ACE_Event_Handler * eh,
| ACE_Reactor_Mask mask )`[pure virtual]`

| Reimplemented in ACE_Reactor_Notification_Strategy.

virtual int ACE_Notification_Strategy::notify ( | void )`[pure virtual]`

| Reimplemented in ACE_Reactor_Notification_Strategy.

## Member Data Documentation

ACE_Event_Handler * ACE_Notification_Strategy::eh_`[protected]`

ACE_Reactor_Mask ACE_Notification_Strategy::mask_`[protected]`

The documentation for this class was generated from the following files:

- Strategies.h
- Strategies.cpp